package com.muyu.common.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 公司信息
 *
 * @Author WangXin
 * @Data 2024/10/9
 * @Version 1.0.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "公司信息")
@TableName("sys_firm")
public class SysFirm {

    /**
     * 公司Id
     */
    @TableId(type = IdType.AUTO)
    @Schema(name = "公司Id")
    private Long id;
    /**
     * 公司名称
     */
    @Schema(name = "公司名称")
    private String name;
    /**
     * 公司数据源
     */
    @Schema(name = "公司数据源")
    private Long did;
    /**
     * 公司logo
     */
    @Schema(name = "公司logo")
    private String logo;
    /**
     * 唯一标识
     */
    @Schema(name = "唯一标识")
    private String sole;
    /**
     * 状态
     */
    @Schema(name = "车辆状态")
    private String status;

}
