package com.muyu.common.system.domain.resp;

import com.muyu.common.system.domain.SysFirm;
import com.muyu.common.system.domain.SysFirmDatasource;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 公司信息响应对象
 *
 * @Author WangXin
 * @Data 2024/10/9
 * @Version 1.0.0
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "公司信息响应对象")
public class SysFirmResp {
    /**
     * 公司信息
     */
    @Schema(name = "公司信息")
    private SysFirm firm;
    /**
     * 公司数据源信息
     */
    @Schema(name = "公司数据源信息")
    private SysFirmDatasource firmDatasource;

}
