package com.muyu.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysUser;
import com.muyu.domain.req.MessageValueReq;
import com.muyu.domain.resp.MessageValueListResp;
import com.muyu.remote.factory.RemoteMessageValueFallbackFactory;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 查询公司员工信息
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/28 21:00
 */
@FeignClient(contextId = "remoteMessageValueService", value = ServiceNameConstants.ENTERPRISE_SERVICE, fallbackFactory = RemoteMessageValueFallbackFactory.class,path = "messageValue")
public interface RemoteFirmUserService {

    @GetMapping("/firmUser/info/{username}")
    public Result<SysUser> info(@PathVariable("username") String username);



}
